Clients

Get Client List

GET /v1/clients

GET/v1/clients
GET
/v1/clients

Fetch all clients

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Query Parameters

searchstring

Search by First name, Last name, Email and Company name

pageSizenumber

Number of items per page. Maximum pageSize is 100

Default: 25

pagenumber

Page number for pagination.

Default: 1

sortstring

Sort order for the results.

Value in: "ASC" | "DESC"

sortBystring

Field to sort the results by. If not selected, default sorting is done by createdAt.

Value in: "createdDate" | "firstName" | "companyName" | "activeSequence" | "totalProspects" | "emailSent" | "activeEmailAccounts"

Responses

200
Successfully fetched client list
{
  "payload": {
    "message": "Successfully fetched client list",
    "payload": [
      {
        "id": "59pa8BRwy2",
        "firstName": "John",
        "lastName": "Doe",
        "email": "[email protected]",
        "companyName": "Saleshandy",
        "permission": "limited-access",
        "createdDate": "2024-06-17T05:55:38.434Z",
        "activeSequence": "0",
        "totalProspects": "0",
        "emailSent": "0",
        "activeEmailAccounts": "0"
      }
    ]
  }
}

Request

curl -X GET \
  "https://open-api.saleshandy.com/v1/clients" \
  -H "x-api-key: YOUR_API_KEY"

Response

No response body